function getQueryVariable(variable) {
    var query = window.location.search.substring(1);
    var vars = query.split("&");
    for (var i = 0; i < vars.length; i++) {
        var pair = vars[i].split("=");
        if (pair[0] == variable) {
            return pair[1];
        }
    }
    return false;
}



window.onload = () => {
    var package = new Package(setting.URL, {
        username: setting.username,
        password: setting.password,
    });
    if (localStorage.getItem("token")) {
        package.keepalive();
    } else {
        package.login();
    }

  
    // const meeting1 = new Meeting();
    // const channelid1 = 'lJmfmlS0A1DJAUR81P9T9O';
    // meeting1.openClient(() => {
      
    //     meeting1.settargetId("relvideo2")
    //     meeting1.playVideo({
    //         type: "single",
    //         deviceId: channelid1,
    //         channelId: channelid1,
    //     });
   
    //     const meeting2 = new Meeting();
    //     meeting2.settargetId("relvideo1")
    //     meeting2.playVideo({
    //         type: "single",
    //         deviceId: channelid1,
    //         channelId: channelid1,
    //     });
    // });

   
    
       
        


    // const meeting = new Meeting();
    // meeting.openClient(() => {
    //     window.meeting = meeting;
    //     // debugger
    //     // meeting.settargetId("");
    // });
    

    // const meeting2 = new Meeting();
    // const channelid2 = 'lJmfmlS0A1DJAUR81P9T9O';
    

    // meeting2.openClient(() => {
    //     meeting2.settargetId("relvideo1")
    //     meeting2.playVideo({
    //         type: "single",
    //         deviceId: channelid2,
    //         channelId: channelid2,
    //     });
    // });

    
    
    


    // const meeting1 = new Meeting();
    // // const channelid = getQueryVariable("channelId");
    // // console.log(channelid);
    // const channelid1 = 'lJmfmlS0A1DJAUR81P9T9O';

    // meeting1.openClient(() => {
    //     //   $(".video-action").one("click", () => {
    //     //     meeting.closeClient();
    //     //     meeting.closeVideo();
    //     //     meeting.deleteMeeting();
    //     //     $(".video-container").css({
    //     //       visibility: "hidden",
    //     //     });
    //     //     window.parent.postMessage("closeIframe", "*");
    //     //   });
    //     meeting1.playVideo({
    //         type: "single",
    //         deviceId: channelid1,
    //         channelId: channelid1,
    //     });
    // });

}